# $Revision: 1.32 $, $Date: 2004/09/19 22:09:08 $
Summary:	VI emulation support
Summary(pl):	Emulacja VI
Name:		xemacs-viper-pkg
%define 	srcname	viper
Version:	1.37
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	5bd6157ea98d1cc9399e91eb3b684c8c
Patch0:		%{name}-info.patch
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VI emulation support.

%description -l pl
Emulacja VI.

%prep
%setup -q -c
%patch0 -p1

%build
(cd man/viper; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc lisp/viper/{README,ChangeLog}
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*
%{_infodir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-viper-pkg.spec,v $
Revision 1.32  2004/09/19 22:09:08  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.31  2003/11/26 01:28:43  andree
- updated to 1.37

Revision 1.30  2003/09/09 10:25:02  ankry
- spaces -> tab

Revision 1.29  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/11/21 16:58:25  mis
- autoupdated to 1.35

Revision 1.26  2002/07/04 07:44:04  kloczek
- updated to 1.34 (few new functions).

Revision 1.25  2002/06/30 21:42:12  marcus
- rel.2.
- use new %%doc

Revision 1.24  2002/04/18 14:19:14  wiget
updated to 1.33

Revision 1.23  2002/04/14 12:26:59  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.22  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/27 19:12:40  kloczek
- updated to 1.31 (bugfix release).

Revision 1.19  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/12/02 11:29:17  kloczek
- copy Summary to %description.
- added texinfo to BuildRequitres,
- cosmetics and simplifications.

Revision 1.17  2001/11/27 16:37:36  mis
- autoupdated to 1.28

Revision 1.16  2001/10/11 11:34:03  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.15  2001/08/02 08:47:50  mis
- autoupdated to 1.26

Revision 1.14  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.12  2001/05/11 18:55:24  mis
- autoupdated to 1.25

Revision 1.11  2001/02/28 19:03:28  mis
- updated to 1.24

Revision 1.10  2001/02/13 18:44:36  mis
- updated to 1.23

Revision 1.9  2000/11/29 13:35:24  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:13  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:21  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:32  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 23:05:33  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
